Debian Bug report logs - #628642
python-sphinx: search function doesn't work (jQuery 1.4 incompatibility)

version graph

Package: python-sphinx; Maintainer for python-sphinx is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-sphinx is src:sphinx.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Mon, 2 May 2011 14:30:02 UTC

Severity: important

Tags: confirmed, fixed-upstream

Found in version sphinx/0.6.6-3

Fixed in versions sphinx/1.0.7-4, sphinx/1.0.7-3, sphinx/0.6.6-3+squeeze1

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#625208; Package python3.2-doc. (Mon, 02 May 2011 14:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tshepang Lekhonkhobe <tshepang@gmail.com>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 02 May 2011 14:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tshepang Lekhonkhobe <tshepang@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python3.2-doc: search function doesn't work
Date: Mon, 02 May 2011 16:26:24 +0200
Package: python3.2-doc
Version: 3.2-2
Severity: important

Doing a doc search available on this url file:///usr/share/doc/python3/html/index.html doesn't work... It endlessly displays 'Searching...'.

I checked with python-doc and python2.6-doc though, and the search works. 

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (900, 'stable-updates'), (900, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_ZA.utf8, LC_CTYPE=en_ZA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python3.2-doc depends on:
ii  libjs-jquery                  1.4.2-2    JavaScript library for dynamic web

python3.2-doc recommends no packages.

Versions of packages python3.2-doc suggests:
ii  python3.2                     3.2-2      An interactive high-level object-o

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#625208; Package python3.2-doc. (Wed, 18 May 2011 11:54:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Wed, 18 May 2011 11:54:55 GMT) Full text and rfc822 format available.

Message #10 received at 625208@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Tshepang Lekhonkhobe <tshepang@gmail.com>, 625208@bugs.debian.org
Subject: Re: Bug#625208: python3.2-doc: search function doesn't work
Date: Wed, 18 May 2011 13:53:14 +0200
reassign 625208 sphinx
thanks

https://bitbucket.org/birkenfeld/sphinx/issue/682/sphinx-101-and-jquery-15-incompatibility

On 05/02/2011 04:26 PM, Tshepang Lekhonkhobe wrote:
> Package: python3.2-doc
> Version: 3.2-2
> Severity: important
>
> Doing a doc search available on this url file:///usr/share/doc/python3/html/index.html doesn't work... It endlessly displays 'Searching...'.




Bug reassigned from package 'python3.2-doc' to 'sphinx'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 11:54:58 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions python3.2/3.2-2. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 11:54:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#625208; Package sphinx. (Wed, 18 May 2011 12:04:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 18 May 2011 12:04:33 GMT) Full text and rfc822 format available.


Message #19 received at 625208@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: 625208@bugs.debian.org
Date: Wed, 18 May 2011 07:51:53 -0400
[Message part 1 (text/plain, inline)]
This is now fixed upstream:

https://bitbucket.org/birkenfeld/sphinx/issue/682/sphinx-101-and-jquery-15-incompatibility
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'sphinx' to 'python-sphinx'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 13:24:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bitbucket.org/birkenfeld/sphinx/issue/682/sphinx-101-and-jquery-15-incompatibility'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 13:24:08 GMT) Full text and rfc822 format available.

Added tag(s) confirmed and fixed-upstream. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 13:24:08 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Thu, 19 May 2011 11:06:11 GMT) Full text and rfc822 format available.

Notification sent to Tshepang Lekhonkhobe <tshepang@gmail.com>:
Bug acknowledged by developer. (Thu, 19 May 2011 11:06:20 GMT) Full text and rfc822 format available.

Message #30 received at 625208-done@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 625208-done@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>
Subject: Re: Bug#625208: python3.2-doc: search function doesn't work
Date: Thu, 19 May 2011 13:02:53 +0200
Version: 1.0.7-4

>>Doing a doc search available on this url 
>>file:///usr/share/doc/python3/html/index.html doesn't work... It 
>>endlessly displays 'Searching...'.

I fixed this in Sphinx 1.0.7-4. However, these changes won't take effect 
before python3.2-doc is rebuilt.

-- 
Jakub Wilk




Changed Bug title to 'python-sphinx: search function doesn't work' from 'python3.2-doc: search function doesn't work' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 20 May 2011 20:00:03 GMT) Full text and rfc822 format available.

Bug 625208 cloned as bug 628642. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:01 GMT) Full text and rfc822 format available.

Bug Marked as found in versions sphinx/0.6.6-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions sphinx/1.0.7-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'python-sphinx: search function doesn't work (jQuery 1.4 incompatibility)' from 'python-sphinx: search function doesn't work' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:06 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Jakub Wilk <jwilk@debian.org>' from 'Tshepang Lekhonkhobe <tshepang@gmail.com>' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 31 May 2011 00:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from jwilk@users.alioth.debian.org to control@bugs.debian.org. (Sun, 05 Jun 2011 13:57:05 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 1.0.7-4 and sphinx/1.0.7-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Jun 2011 10:52:24 GMT) Full text and rfc822 format available.

Marked as fixed in versions sphinx/1.0.7-4. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 18:00:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions sphinx/1.0.7-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 18:00:06 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Sat, 12 Jan 2013 15:48:20 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 12 Jan 2013 15:48:20 GMT) Full text and rfc822 format available.

Message #57 received at 628642-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 628642-close@bugs.debian.org
Subject: Bug#628642: fixed in sphinx 0.6.6-3+squeeze1
Date: Sat, 12 Jan 2013 15:47:37 +0000
Source: sphinx
Source-Version: 0.6.6-3+squeeze1

We believe that the bug you reported is fixed in the latest version of
sphinx, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated sphinx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 Jun 2011 17:44:55 +0200
Source: sphinx
Binary: python-sphinx
Architecture: source all
Version: 0.6.6-3+squeeze1
Distribution: stable
Urgency: low
Maintainer: Mikhail Gusarov <dottedmag@dottedmag.net>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 python-sphinx - tool for producing documentation for Python projects
Closes: 628642
Changes: 
 sphinx (0.6.6-3+squeeze1) stable; urgency=low
 .
   [ Stefano Rivera ]
   * Improve language and clarify options in manpages.
 .
   [ Jakub Wilk ]
   * Backport upstream patch to fix incompatibility with jQuery >= 1.4
     (closes: #628642). Thanks to Yaroslav Halchenko for the bug report.
   * Apply patches (except move_static_files_outside_site-packages) before
     building documentation.
   * Fix a typo in the package description.
Checksums-Sha1: 
 edfdf730e88d02848e3ec0940b1a2ac251233f10 2114 sphinx_0.6.6-3+squeeze1.dsc
 6922ab342cad7bd411c956d6e668d827a9864555 9517 sphinx_0.6.6-3+squeeze1.diff.gz
 26ec38207fa52aebfbeef082049bf849dda75b28 541944 python-sphinx_0.6.6-3+squeeze1_all.deb
Checksums-Sha256: 
 3e0c8d8e0bf5bcce78f1ca7ee01de8d0bff784b1e093631489245d80799063e8 2114 sphinx_0.6.6-3+squeeze1.dsc
 b1cad8183c0a03adcc50f7a030fd4a42f2fa9f0ac51283f5813103f16039b014 9517 sphinx_0.6.6-3+squeeze1.diff.gz
 ee8af886d8b59472b3681bbac4558fea54fd5b77ab62af68808afb9b29d605af 541944 python-sphinx_0.6.6-3+squeeze1_all.deb
Files: 
 0ce64c5d072bac3fc08ac83e2f20dad2 2114 python optional sphinx_0.6.6-3+squeeze1.dsc
 5c1259cda1011637f1880ea08e2491ad 9517 python optional sphinx_0.6.6-3+squeeze1.diff.gz
 1cbcf45b7592abf915a8ada8258b7176 541944 python optional python-sphinx_0.6.6-3+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ8Ak7AAoJEC1Os6YBVHX1nP4P/RmHBwJeGIg/0xfPTCf9p3QI
9UMCQ4qMSw/hHqev2E/Yqhx70IB/6INRcSRqEo/LYDvMKYbLTYd9Hv9nJoUOL0DH
MKBuK2pog+rkj6iz29HUs7p94RIokgM6kg8WWapaYPA+LWZ/f+C4WGSu7LArLWzR
NdiPxmT8z4swmYcNvZzguIleTUlWRmZZn5+7Vo709m0dzuz3YDtoBkRB4ja2iig4
AkP5w9R5x1Vv83e+bdOvsQVnF8zzSEBHP0TBbEjQXC7gbxGWVS5lsuQeB3AcEXJC
6hLZmE35hLiMxSE8JSx3Pf2QoZNA4ct8lhH+T4lI9JRRANyOgeJswEQgE1K+aOeZ
GBgX5x5eRDojdFZ0hiql8CGLf9XaPdy/fRt6w2HQmQdjalEdRl9BLACDELbqurIV
bVXkDGKrRCcEn66CiLIGnGLz5zuCQUHUGGUhgT/O20ibZrUSrl2xaVQvNA8Z13Nz
i4/uxUPaCE8feeKMxGowtcWo2Yi2GZs1+BLLJZdBAe97/R8QaIfyZ7elipJAi179
7UbenPmf6xFTz/pruivCJy/2x0eFEcoL1S/lV0QOBWenzKsHNpCeXsKkHQ6HbeMb
BXjM5wyPFkz2FdDBOknjvPx02Bo69FHeGAQM41Cqlh0einNctzUn8vNKQMJ8HxAX
gV2AS8QXm0LMCe77cCiu
=lr+J
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Feb 2013 07:26:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:57:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.